<html>

<head></head>

<body>
  <script type="text/javascript">
    var sock = null;
    var wsuri = "wss://127.0.0.1:60000";

    window.onload = function () {

      console.log("onload");

      sock = new WebSocket(wsuri);

      sock.onopen = function () {
        console.log("connected to " + wsuri);
      }

      sock.onclose = function (e) {
        console.log("connection closed (" + e.code + ")");
      }

      sock.onmessage = function (e) {
        console.log("message received: " + e.data);
        document.getElementById('message').innerText = e.data;
      }
    };
  </script>
  <h1>Worker Status Update WebSocket Test</h1>
  <p>
    Message:
    <p id="message" type="text"> Testing... </p>
  </p>
</body>

</html>